# $Revision: 1.23 $, $Date: 2010/07/08 08:31:37 $

%define		module	pyirclib

Summary:	Python IRC library
Summary(pl.UTF-8):	Moduły Pythona do obsługi IRC
Name:		python-%{module}
Version:	0.4.3
Release:	6
License:	BSD
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pyirclib/pyirclib-%{version}.tar.gz
# Source0-md5:	b9d60e69314a548dfd7d48da3d540d62
URL:		http://pyirclib.sourceforge.net/
BuildRequires:	python >= 2.2.1
%pyrequires_eq	python
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	%{module}

%description
pyirclib is a simple yet powerful IRC library written in Python. It's
intended audience are Python developers wanting to write their own IRC
programs.

%description -l pl.UTF-8
pyirclib jest prostą ale potężną biblioteką do obsługi IRC napisaną w
Pythonie.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install --optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README TODO example* *.html
%{py_sitescriptdir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyirclib.spec,v $
Revision 1.23  2010/07/08 08:31:37  arekm
- release 6

Revision 1.22  2008/10/03 17:57:29  arekm
- release 5

Revision 1.21  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.19  2005/03/05 13:27:54  troll
- removed obsolete BR: rpm-pythonprov, rel 4

Revision 1.18  2004/12/25 16:01:14  saq
- release 3 for rebuild with python 2.4

Revision 1.17  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.16  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.15  2004/01/19 14:26:08  jajcus
- Release: 2
- new architecture-independent python modules paths

Revision 1.14  2003/05/28 13:01:31  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.11  2002/07/24 15:32:00  marcus
- new version 0.4.3
- fixed Source0:

Revision 1.10  2002/07/23 19:47:58  marcus
- use new %%doc
- rel.4.

Revision 1.9  2002/04/13 17:34:02  kloczek
- rebuild against pythin 2.2.1.

Revision 1.8  2002/04/11 13:56:59  wrobell
- rel. 3, stb

Revision 1.7  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.6  2002/03/18 07:16:22  wrobell
- group changed to Libraries/Python
- rel. 2
- stb

Revision 1.5  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/21 23:28:06  wrobell
- typo

Revision 1.3  2002/02/21 22:33:18  wrobell
- fixed build requirements

Revision 1.2  2002/02/16 22:48:30  wrobell
- use full power of distutils (if it is possible)

Revision 1.1  2002/02/16 13:03:54  misiek
- initial pld release
